Subject: bug#33160: 26.1; force-mode-line-update interferes button highlight

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 02 Feb 2021 16:05:01 +0100

Eli Zaretskii <[email-masked]> writes:

>> Symptom: Highlight on buttons disappears when `force-mode-line-update` runs
>> 
>> Reproduce:
>> - emacs -q
>> - (run-at-time 0 0.3 'force-mode-line-update)
>> - M-x customize (for it has a bunch of buttons)
>> - Move cursor to a button, the highlight disappears in a blink
>
> Could be macOS-specific?  I cannot reproduce this on MS-Windows: I see
> the periodic frequent redraws (portions of the display flicker), but
> the highlight doesn't disappear.

I can't recall seeing any similar reports to this, and I can't reproduce
the problem either, and there was no response, so I'm closing this bug
report.  If this is still a problem in more recent Emacs versions,
please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no